##############################################################
# Isr.pm - Module that exports system-level config info to 
#          ISR clients
##############################################################

#
# isr - Client user interface for the Internet Suspend/Resume (R) system
#
# Copyright (C) 2004-2007 Carnegie Mellon University
#
# This software is distributed under the terms of the Eclipse Public
# License, Version 1.0 which can be found in the file named LICENSE.Eclipse.
# ANY USE, REPRODUCTION OR DISTRIBUTION OF THIS SOFTWARE CONSTITUTES
# RECIPIENT'S ACCEPTANCE OF THIS AGREEMENT
#

package Isr;

# Locations of relevant directories
$ISRSERVERBIN = "/usr/local/isr/bin";
$LIBDIR = "/usr/lib/openisr";
$SHAREDIR = "/usr/share/openisr";
$SYSCONFDIR = "/etc/openisr";

# Client session log filename
$LOGFILE = "session.log";

# Existence of this file is a flag indicating that the temporary
# dirty cache is consistent with the local cache.
$CONSISTENT_DIRTYCACHE_FILE = "consistent-dirtycache-flag";

# Return codes for storage module functions
$ESUCCESS  = 0;  # Success
$ENOSPACE  = 1;  # Not enough space
$ENOTSUPP  = 2;  # Operation not supported
$ETIMEDOUT = 3;  # Network/server failure partway through
$EINVAL    = 4;  # Misc error
$EINTR     = 5;  # Child terminated on signal

# Every module must end with a 1; 
1;
